# $Revision: 1.41 $, $Date: 2012/01/13 12:50:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIDI
%define		pnam	Perl
Summary:	MIDI::Perl perl module
Summary(pl.UTF-8):	Moduł perla MIDI::Perl
Name:		perl-MIDI-Perl
Version:	0.82
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a4f1c45483b460b4059664cde8636de1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIDI::Perl is a suite of Perl modules that allows you to read, compose,
modify, and write MIDI files.

%description -l pl.UTF-8
MIDI::Perl jest zestawem modułów umożliwiających czytanie, tworzenie,
modyfikowanie i zapis plików MIDI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIDI/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/MIDI.pm
%{perl_vendorlib}/MIDI
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIDI-Perl.spec,v $
Revision 1.41  2012/01/13 12:50:17  zbyniu
- up to 0.82

Revision 1.40  2009/06/10 14:25:06  amateja
- updated to 0.81

Revision 1.39  2008/07/27 22:43:45  arekm
- release 4

Revision 1.38  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:31  paladine
- formatting

Revision 1.35  2004/11/02 10:49:36  adamg
- get rid of pod documentation
- release 3

Revision 1.34  2004/05/06 18:20:32  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.32  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.31  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 20:20:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:35:51  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/28 18:08:42  mis
- autoupdated to 0.8

Revision 1.22  2002/11/26 00:14:08  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.21  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:28:56  depesz
adapterized

Revision 1.15  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:12:02  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/11 01:55:50  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.10  2000/08/23 01:47:58  kloczek
- updated to 0.79.

Revision 1.9  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.4  2000/03/21 17:11:13  kloczek
- updated to 0.75.

Revision 1.3  2000/02/17 23:58:23  pius
- updated to 0.74

Revision 1.2  1999/11/05 21:11:56  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
